.cart-page {
  padding: 33px 0 150px;

  @include screen-max($mobile) {
    padding: 26px 0 60px;
  }

  .section {
    &__header {
      margin-bottom: 70px;

      @include screen-max($mobile) {
        margin-bottom: 58px;
      }
    }

    &__title {
      color: $colorGreen;
      margin-bottom: 50px;

      @include screen-max($mobile) {
        margin-bottom: 20px;
      }
    }

    &__content {
      max-width: 772px;

      &__empty {
        a {
          color: $colorGreen;
          text-decoration: underline;
        }
      }
    }

    &__bottom {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      gap: 32px;

      @include screen-max(sm) {
        flex-direction: column;
      }
    }

    .shop-header {
      margin-bottom: 50px;

      @include screen-max($mobile) {
        margin-bottom: 34px;
      }
    }

    .c-product {
      display: flex;
      padding: 24px 0;
      border-bottom: 2px solid $colorLightGreen;

      &__content {
        display: flex;
        align-items: center;
        flex: 1;

        @include screen-max($mobile) {
          align-items: start;
          flex-direction: column;
        }
      }

      &__image-mobile,
      &__image {
        max-width: 90px;
        margin-right: 28px;
      }

      &__image {
        @include screen-max($mobile) {
          display: none;
        }
      }

      &__image-mobile {
        @include screen-min($mobile) {
          display: none;
        }

        img {
          width: 100%;
        }
      }

      &__name {
        font-size: calculateSize(16);
        line-height: calculateSize(25);
        font-weight: 600;
        margin-bottom: 4px;
        color: $colorDark;
      }

      &__time {
        font-size: calculateSize(16);
        line-height: calculateSize(19);
        font-weight: 500;
        opacity: 0.6;
      }

      &__price,
      &__remove {
        font-size: calculateSize(16);
        line-height: calculateSize(24);
        font-weight: 600;
        color: $colorGreen;
      }

      &__remove {
        text-decoration: underline;
        cursor: pointer;
      }

      &__desc {
        display: none;
        font-size: calculateSize(14);
        line-height: calculateSize(18);
        font-weight: 500;
        color: rgba(#1E1E1E, 0.6);
        margin-bottom: 12px;

        @include screen-max($mobile) {
          display: flex;
        }
      }
    }

    .c-table {
      .thead > *,
      .tbody > * > .c-product__content > * {
        margin: 0 15px;

        &:first-child {
          flex: 1;
          display: flex;
          align-items: center;

          @include screen-min($mobile) {
            width: 55%;
            margin: 0 15px 0 0;
          }
        }

        &:nth-child(2) {
          @include screen-min($mobile) {
            min-width: 170px;
            width: 20%;
          }

          @include screen-max($mobile) {
            margin-top: 22px;
          }
        }

        &:nth-child(3) {
          @include screen-min($mobile) {
            min-width: 60px;
            width: 10%;
          }

          @include screen-max($mobile) {
            margin-top: 26px;
          }
        }

        &:last-child {
          @include screen-min($mobile) {
            margin: 0 0 0 15px;
            min-width: 130px;
            text-align: end;
            width: 15%;
          }

          @include screen-max($mobile) {
            margin-top: 20px;
          }
        }

        @include screen-max($mobile) {
          margin: 0;
        }
      }

      .tbody {
        border-top: 2px solid $colorLightGreen;
      }

      .thead {
        width: 100%;
        display: flex;

        @include screen-max($mobile) {
          display: none;
        }

        & > * {
          font-size: calculateSize(16);
          line-height: calculateSize(19);
          font-weight: 500;
          padding-bottom: 22px;
          color: #1E1E1E;
          opacity: 0.6;
        }
      }
    }

    .coupon {
      padding-top: 24px;
      padding-bottom: 26px;

      @include screen-max(sm) {
        border-bottom: 2px solid $colorLightGreen;
      }

      &__code,
      &__label {
        font-size: calculateSize(16);
        line-height: calculateSize(25);
        font-weight: 600;
      }

      &__code {
        margin-right: 16px;

        span {
          color: #1E1E1E;
          opacity: 0.6;
        }
      }

      &__remove {
        font-size: calculateSize(16);
        line-height: calculateSize(24);
        font-weight: 600;
        color: $colorGreen;
        text-decoration: underline;
        cursor: pointer;
      }

      &__label {
        margin-bottom: 8px;

        span {
          font-size: calculateSize(14);
          line-height: calculateSize(18);
          font-weight: 500;
          color: #1E1E1E;
          opacity: 0.6;
        }
      }

      &__button {
        min-width: 150px;
      }

      &__content {
        display: flex;
        align-items: center;
        gap: 10px;

        @include screen-max(sm) {
          gap: 17px;
          flex-direction: column;
          align-items: flex-end;
        }
      }

      &__input {
        max-width: 212px;

        @include screen-max(sm) {
          width: 100%;
          max-width: initial;
        }

        &.input-error {
          border-color: #a00;
        }
      }

      &__error {
        font-size: calculateSize(14);
        line-height: calculateSize(18);
        margin-top: 6px;
      }
    }

    .summary {
      min-width: 280px;

      @include screen-min($mobile) {
        padding-top: 24px;
      }

      &__title {
        margin-bottom: 22px;
      }

      &__item {
        display: flex;
        align-items: center;
        justify-content: space-between;

        span {
          &:first-child {
            font-size: calculateSize(16);
            line-height: calculateSize(19);
            font-weight: 500;
            color: #1E1E1E;
            opacity: 0.6;
          }

          &:last-child {
            font-size: calculateSize(16);
            line-height: calculateSize(24);
            font-weight: 600;
            color: $colorGreen;
          }
        }

        &:not(:last-child) {
          margin-bottom: 15px;
        }
      }

      &__button {
        margin-top: 22px;
      }
    }
  }
}
